#!/usr/bin/python3

import pygame

vec2 = pygame.math.Vector2

RES = WIDTH, HEIGHT = vec2(1400, 800)
CENTER = H_WIDTH, H_HEIGHT = RES // 2
TILE_SIZE = 250

PLAYER_SPEED = 0.4
PLAYER_ROT_SPEED = 0.0015

BG_COLOR = "olivedrab"
NUM_ANGLES = 180  # multiple of 360
TRANSP_COLOR = (43, 64, 36)

SPRITE_ATTRS = {
    "Robot": {
        "path": "../assets/stacked_sprites/Robot.png",
        "num_layers": 16,
        "scale": 8,
        "y_offset": -8
    },
    "Building": {
        "path": "../assets/stacked_sprites/Building.png",
        "num_layers": 80,
        "scale": 4,
        "y_offset": -40
    }
}